// ConnectGwPageCfg.cpp : implementation file
//

#include "stdafx.h"
#include "rtcuprog.h"
#include "ConnectGwPageCfg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConnectGwPageCfg property page

IMPLEMENT_DYNCREATE(CConnectGwPageCfg, CPropertyPage)

CConnectGwPageCfg::CConnectGwPageCfg() : CPropertyPage(CConnectGwPageCfg::IDD)
{
	//{{AFX_DATA_INIT(CConnectGwPageCfg)
	m_gwport = AfxGetApp()->GetProfileInt("GWConnect Options", "GW Port", 5001);
	m_gwkey  = AfxGetApp()->GetProfileString("GWConnect Options", "GW Key", "AABBCCDD");
	m_gwip   = AfxGetApp()->GetProfileString("GWConnect Options", "GW IP", "domain.com");
	//}}AFX_DATA_INIT
}

CConnectGwPageCfg::~CConnectGwPageCfg()
{
}

void CConnectGwPageCfg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectGwPageCfg)
	DDX_Control(pDX, IDC_SPINPORT, m_ctrgwportspin);
	DDX_Text(pDX, IDC_GWPORT, m_gwport);
	DDX_Text(pDX, IDC_GWKEY, m_gwkey);
	DDV_MaxChars(pDX, m_gwkey, 8);
	DDX_Text(pDX, IDC_GWIP, m_gwip);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConnectGwPageCfg, CPropertyPage)
	//{{AFX_MSG_MAP(CConnectGwPageCfg)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
	ON_REGISTERED_MESSAGE(UWM_CONNECT_PAGE, OnConnectPage)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Initiation / Destruction
/////////////////////////////////////////////////////////////////////////////

BOOL CConnectGwPageCfg::OnInitDialog() 
{
	// Default
	CPropertyPage::OnInitDialog();
 
	// Set controls
	m_ctrgwportspin.SetRange(5000, 10000);
	UpdateData(false);

	// Completed
	return TRUE;
}

void CConnectGwPageCfg::OnDestroy() 
{
	// Save settings
	AfxGetApp()->WriteProfileInt("GWConnect Options", "GW Port", m_gwport);
	AfxGetApp()->WriteProfileString("GWConnect Options", "GW IP", m_gwip);
	AfxGetApp()->WriteProfileString("GWConnect Options", "GW Key", m_gwkey);

	// Default
	CPropertyPage::OnDestroy();
}

/////////////////////////////////////////////////////////////////////////////
// Update
/////////////////////////////////////////////////////////////////////////////

LRESULT CConnectGwPageCfg::OnConnectPage(WPARAM /*wParam*/, LPARAM /*lParam*/)
{
	// Update settings
	UpdateData(true);

	// Completed
	return 0;
}
